import 'dart:async';

import 'package:flutter/services.dart';

import 'model/TrackBulider.dart';
import 'model/TrackModel.dart';


/// Provides device id information.
class LemniskFlutterIdentifier {
  static Future<TrackModel?> identifier(String activityName, TrackBulider properties, OtherID otherid) async {
    try {
      //now after taking value from user yuu should make a json and return to our module...
      TrackModel identifierModel = TrackModel();
      identifierModel.activityName = activityName;
      identifierModel.properties = properties.properties;
      identifierModel.otherid = otherid.trackerId;

      return identifierModel;
    } on PlatformException {
      //
    }
    return null;
  }
}


